<!DOCTYPE html>
<html lang="en">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />




    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>




    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">



    <link rel='stylesheet' href='/static/css/totop_button.css'>

    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
      Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>


    <title>404</title>
</head>


<body class="bg-light">

    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>





    <!-- Main Content -->
    <main>

        <div style='margin:0 auto;position: relative;top:300px;'>
            <div class='row display-flex align-items-center justify-content-center mx-auto'>
                <p id="errorResponse" style='opacity:0%; '><span>The page you're looking for doesn't exist</span></p>
            </div>
        </div>

        <div style='margin:0 auto;position: relative;top:300px;'>
            <div class='row display-flex align-items-center justify-content-center mx-auto'>
                <a id='goBackButton' class='btn btn-outline-primary ' href='/' style='opacity:20%; '><span  >Go back to home page</span></a>
            </div>
        </div>
        <!-- Title Page -->
        <div class="titlePage  ">
            <div class="row align-items-center justify-content-center">
                <div class="titleContainer text-left">
                    <p class="display-2">|</p>
                </div>

            </div>
        </div>



        <!-- Linking JavaScript files from ../js -->
        <script src="/static/js/error/errorTypeTextEffect.js"></script>
        <script>
            var typeDone = {
                done: false
            };
            typeEffectCreate(typeDone, "Error 404").observe(mainTitle);
        </script>
</body>

</html>